Package io.vertx.ext.web.handler

## Interface RedirectAuthHandler

- All Superinterfaces:
    `AuthenticationHandler`, `Handler<RoutingContext>`

      public interface RedirectAuthHandler
      extends AuthenticationHandler

  An auth handler that's used to handle auth by redirecting user to a custom login page.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_LOGIN_REDIRECT_URL` | Default path the user will be redirected to
    `static String` | `DEFAULT_RETURN_URL_PARAM` | Default name of param used to store return url information in session

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RedirectAuthHandler` | `create​(AuthenticationProvider authProvider)` | Create a handler
    `static RedirectAuthHandler` | `create​(AuthenticationProvider authProvider, String loginRedirectURL)` | Create a handler
    `static RedirectAuthHandler` | `create​(AuthenticationProvider authProvider, String loginRedirectURL, String returnURLParam)` | Create a handler

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Field Detail

    - #### DEFAULT_LOGIN_REDIRECT_URL

          static final String DEFAULT_LOGIN_REDIRECT_URL

      Default path the user will be redirected to
      See Also:
        Constant Field Values

    - #### DEFAULT_RETURN_URL_PARAM

          static final String DEFAULT_RETURN_URL_PARAM

      Default name of param used to store return url information in session
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static RedirectAuthHandler create​(AuthenticationProvider authProvider)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
      Returns:
        the handler

    - #### create

          static RedirectAuthHandler create​(AuthenticationProvider authProvider,
                                            String loginRedirectURL)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
      Returns:
        the handler

    - #### create

          static RedirectAuthHandler create​(AuthenticationProvider authProvider,
                                            String loginRedirectURL,
                                            String returnURLParam)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
        `returnURLParam` - the name of param used to store return url information in session
      Returns:
        the handler